Summary:    IBM Cell Broadband Engine Accelerator Library Framework (ALF) Library
Name:       alf
Version:    3.0.0
Release:    9
Group:      Cell Runtime Environment
Vendor:     IBM Corporation
Distribution: IBM SDK for Multicore Acceleration
URL:	    http://www.ibm.com
License:    BSD
Source:     %{name}-%{version}.tar.bz2
Buildroot:  %{_tmppath}/%{BUILDsubdir}

%define __strip /opt/cell/toolchain/bin/ppu-strip
%define __objdump /opt/cell/toolchain/bin/ppu-objdump

%define BUILDsubdir      %{name}-%{version}-%{release}

#  This is not ideal, but since we often build cross, it is required.
%define _use_internal_dependency_generator     0

%description
The Cell SDK ALF package contains Accelerator Library Framework (ALF) runtime 
Libraries


%package -n %{name}-devel
Summary: Development files for %{name}
Group: Cell Development Libraries
Requires: %{name} = %{version}

%description -n %{name}-devel
The Cell SDK ALF package  contains Accelerator Library Framework (ALF) 
libraries and Headers needed to build ALF enabled code.

%prep
%setup -q -c -n %{BUILDsubdir}

%build
rm -rf ${RPM_BUILD_ROOT}
cd alf
# need to build all and install here for the regular build
make clean all install BUILD_CELL=1 DESTDIR=${RPM_BUILD_ROOT} TARGET_CPU=%{_target_cpu}

%install
%ifarch ppc64
# remove files that will only get shipped in the ppc rpm
rm -rf ${RPM_BUILD_ROOT}/usr/include
rm -rf ${RPM_BUILD_ROOT}/usr/spu/include
rm -rf ${RPM_BUILD_ROOT}/usr/share/pdt/config/pdt_alf*.xml
%endif

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

# native runtime stuff
%files -n %{name}
%defattr(-,root,root)
%ifarch ppc
/usr/lib/*.so.*
%endif
%ifarch ppc64
/usr/lib64/*.so.*
%endif

%files -n %{name}-devel
%defattr(-,root,root)
%ifarch ppc
/usr/include/*
/usr/spu/include/*
/usr/lib/*.a
/usr/lib/*.so
/usr/spu/lib/alf/debug/*.a
/usr/spu/lib/*.a
%endif
%ifarch ppc64
/usr/lib64/*.a
/usr/lib64/*.so
%endif

